/******************* loading spinner *********************************/

.loading{
    display: flex;
    justify-content: center;
    
    &-container{
        position: absolute;
        background-color: rgba(255,255,255, 0.95);
        top:0;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        animation: spinner-off 200ms linear 5s both;
    }
    &-name{
        display: flex;
        justify-content: start;
        align-items: center;
        
        padding: 20px;

        &__letter{
            animation: letter 800ms linear both, letter2 1s linear infinite both;
            @for $i from 1 through 13{
                &--#{$i} {
                    animation-delay:$anim-delay * $i;
                }
            }
        }
    }
    
    &__ball{
        border:5px solid transparent;
        border-left: 5px solid $color-primary;
        border-right: 5px solid $color-primary;

        border-radius: $ball-radius;
        width:$size-ball;
        height: $size-ball;
        position: relative;
        animation: ball 3s ease-in infinite both;
        &::after{
            content: '';
            position: absolute;
            top:5px;
            right: 5px;
            bottom: 5px;
            left: 5px;
            border-radius: $ball-radius;
            border:5px solid transparent;
            border-left:5px solid $color-tertiary;
            border-right: 5px solid $color-tertiary;
            animation: ball 3s ease-out infinite both;
        }
        &::before{
            content: '';
            position: absolute;
            top:-15px;
            right: -15px;
            bottom: -15px;
            left: -15px;
            border-radius: $ball-radius;
            border:5px solid transparent;
            border-left:5px solid $color-secondary;
            border-right: 5px solid $color-secondary;
            animation: ball 3s  ease-out infinite both;
        }
    }
}

.header-index, .presentation, .fonctionnement, .restaurant-list, footer{
    animation: load-page 3s linear ;
}


/* ********************************************************************** */

/* *******************         Page accueil     ********************* */

.presentation {
    text-align: center;
    margin-bottom: 50px;
    background-color: $background-fonctionnement;

    &__search-location {
        background-color: $background-location;
        border-top: solid 2px $border-location;
        padding: 20px;
        margin-top: 15px;
    }

    &__text {
        background-color: $background-color1;
        padding:40px 30px;


        h2 {
            font-weight: bold;
            font-size: 1.3rem;
        }

        p {
            margin-top: 20px;
            
            font-size: 1.1rem
        }

        &-button {
            @include format-button();
            margin-top: 30px;
        }
    }
}
/************* Fonctionnement **********/
.fonctionnement {

    font-size: .9em;
    

    &__title {
        margin-left: 10px;
        margin-bottom: 15px;
    }

    &-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 30px;
    }

    &-card {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        border: none;
        width: 90%;
        border-radius: 15px;
        background-color: $background-color1;
        box-shadow: 5px 5px 5px #f2f2f2;
        margin-top: 10px;
        margin-bottom: 12px;
        padding: 20px 5px;

        p {
            border-radius: 50%;
            background-color: $color-primary;
            color: white;
            padding: 2px 6px;
            margin-left: -10px;
            margin-right: 20px;
        }

        &__name {
            margin-left: 20px;
        }

        &--modified {
            background-color: $background-fonctionnement--modified;
            & i{
                color: $color-primary;
            }
        }
    }
}

/*************** Restaurant card ***************/
.restaurant {
    &-list {
        background-color: $background-color1;
        padding-top: 30px;
        height: auto;
        padding-bottom: 30px;

        &__title {
            font-size: 1.3em;
            width: 335px;
            margin: 0 auto;
        }
    }

    &-preview {
        border-radius: 25px;
        box-shadow: 10px 10px 10px $background-fonctionnement;
        max-width: 335px;
        min-width: 325px;
        height: 250px;
        background-color: white;
        margin: 20px auto;

        &__imgContainer {
            height: 70%;
            position: relative;
        }

        &__text-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 15px;

            h5 {
                font-size: 1.2em;
                margin-bottom: 5px;
            }
        }

    }

    &-img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-top-left-radius: 25px;
        border-top-right-radius: 25px;

        &__new {
            position: absolute;
            top: 5%;
            right: 5%;
            z-index: 1;
            background-color: $color-tertiary;
            color: $color-newImg;
            padding: 5px;
            font-size: 0.7em;
        }
    }
}

   

    /************************ Test animation coeur **********************/


.restaurant-preview__favorites {
    position: relative;
    z-index: 1;
    font-size: .7rem;
    &-img{
        transition: all 500ms ease-in-out;
    }
    &:hover{
        & .restaurant-preview__favorites-img{
            opacity: 0;
        }
        & .restaurant-preview__favorites--full{
            opacity: 1;
            transform: scale(1);
            
        }
    }
    &--full{
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        opacity: 0;
        z-index: -1;
        transform: scale(0);
        transform-origin: bottom;
        transition: all 500ms ease-in-out;
        -webkit-background-clip: text!important;
        background: $background-button; 
        -webkit-text-fill-color: transparent; 
        
    }

}

  /*----------------------Page 1 à 4 -------------------------*/

  .presentation-menu {
    &__img {
        @include format-imgCard;
    }
}

.restaurant-menu {
    background-color: $background-color1;
    border-radius: 35px 35px 0 0;
    margin-top: -50px;
    padding-bottom: 50px;
    z-index: 1;
    position: relative;

    &__title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px 30px 20px 20px;
    }
}

.starter-list, .dishes-list,.dessert-list {
    margin:20px;
    

}

.starter-element,
.dishes-element,
.dessert-element {
    @include menu-element;
    
    &-title {
        margin-bottom: 5px;
    }
}
.starter-element{
    &:nth-child(1){
        animation: loading_menu 1000ms ease-in-out 100ms backwards;
    }
    &:nth-child(2){
        animation: loading_menu 1000ms ease-in-out 200ms backwards;
    }
    &:nth-child(3){
        animation: loading_menu 1000ms ease-in-out 300ms backwards;
    }
    &:nth-child(4){
        animation: loading_menu 1000ms ease-in-out 400ms backwards;
    }

}
.starter-element__information,
.dishes-element__information,
.dessert-element__information {
    @include menu-information();
}
.starter-element-title h4,
.dishes-element-title h4,
.dessert-element-title h4 {
    @include text-hide;
}
.price {
    font-weight: bold;
}

.complement {
    font-size: 0.9em;
    max-width: 260px;
    @include text-hide;
}

.order-button {
    @include format-button();
}

/*********************** Animation menu *****************/
.fa-check-circle{
    color: white;
    display: block;
    padding: 30px 20px;
}

.starter-element, .dishes-element, .dessert-element{
    position: relative;
    z-index: 1;
    overflow: hidden;
    &__information p{
        text-overflow: ellipsis;
    }

    & .barre{
        width: 60px;
        height: 100%;
        background-color: $color-tertiary;
        position: absolute;
        right: -60px;
        bottom: 0;     
    }
    
    &:hover{
        & .price{
            animation: price 800ms linear 100ms both;
        }
        & .barre{
            animation: validation_menu 1s linear both;
            
            & i{
                animation: rotation_icon 1s ease-in-out both;
            }
        }
        & .complement{
            animation: width 1s linear    both;
            
        }
        & .starter-element-title, .dessert-element-title, .dishes-element-title{
            animation: width 1s linear    both;
        }


    }
}